Subject: dipole moment vector in MOLPRO94

From: Stefan Schulz <[email-masked]>
Date: Thu, 25 Jan 1996 13:27:24 +0100 (MEZ)

Dear CCLers !

I have a question concerning the direction of the dipole moment
vector of CASSCF excited states computed by MOLPRO94. The situation
is the following:

I have a molecule in C3v symmetry: 

 ATOMIC COORDINATES

 NR  ATOM  CHARGE       X              Y              Z

  1   NA   11.00    0.000000000    0.000000000   -2.555725461
  2   N     7.00    0.000000000    0.000000000    3.344274539
  3   H     1.00   -0.909712280   -1.575667890    3.944274539
  4   H     1.00   -0.909712280    1.575667890    3.944274539
  5   H     1.00    1.819424561    0.000000000    3.944274539

Due to the fact that MOLPRO94 can
only handle abelian groups I am forced to do my calculations
using Cs symmetry. Nevertheless the full point group of the molecule
is still C3v and by what I have learned about symmetry the 
dipole moment vector should in this case point along the molecular (z) axis. 
Since the dipole moment vector is a physical observable as such it can not
depend on the point group used for your calculations but must only
depend on the actual point group of the molecule.
As it turns out, some of the excited CASSCF states show a dipole moment vector 
in the (x,z) plane with a component x different from 0 !
For example the fifth state in A' symmetry has a CASSCF dipole moment 
vector  
  
     -0.54844048     0.00000000    -2.76337735 a.u.

Interestingly enough the second state in A" symmetry which due to the
correlation of the twodimensional E irrep of the C3v group
with the A' and A" irreps of the Cs group should be energetically
degenerate with the fifth state in A' has a CASSCF dipole moment
vector of 

      0.54844057     0.00000000    -2.76337738 a.u.

The strange thing is that the CASSCF procedure converges in three
iterations and gives no warnings, so the choice of active 
orbitals and optimized states should be ok. 
Until now the only explanation I have come up with is that
although the convergence threshold for the energy is met 
the wavefunction still somehow has some components left which give
rise to the x-component of the dipole moment vector.

Has any MOLPRO94 user experienced this kind of problems before?
Have I run into a bug or am I missing something? 
Any help or hint will be greatly
appreciated. I'll summarize to the list.

To make things more
transparent I include a sample input file showing the choice of 
active electrons, etc.:

***,NaNH3 excited states, CASSCF method

!-------------------------------------------
! Set limit on dynamic memory
!-------------------------------------------
memory,18,m           ! 18 000 000 floating point words

!-------------------------------------------
! Define CASSCF procedures
!-------------------------------------------
proc my_scf
  text,ROHF
  rhf;             ! restricted open shell HF
  wf,21,1,1;       ! wavefunction spatial and spin symmetry
  occ,9,2;         ! orbital occupation pattern
  start,0;         ! use eigenvectors of h as guess
  save,2130.2;     ! save orbitals at record 2130 of file 2
  orbprint,15;     ! print all occupied orbitals and 8
                   ! additional virtual orbitals of every
                   ! symmetry species

endproc

proc my_casscf
  mcscf;                 ! casscf
  occ,17,6;              ! occupied orbitals
  core,7,2;              ! frozen-core orbitals
  closed,7,2;            ! closed-shell orbitals
  config,csf;            ! use CSFs instead of determinants
  save,,2150.2;          ! save CI vectors for use in subsequent MRCI
  wf,21,1,1;state,9;     ! request nine states of symmetry 1
  wf,21,2,1;state,4;     ! request four states of symmetry 2
  start,2130.2;          ! start with scf orbitals
  natorb,2140.2,ci;      ! print natural orbitals and CI coefficients
  thresh,0.005;          ! threshold for printing CI coefficients
endproc

!-------------------------------------------
! Open punch file, overwriting any previous
! information on this file
!-------------------------------------------
punch,sample.pun,new

!-------------------------------------------
! Print molecular orbitals
!-------------------------------------------
print, orbital

!-------------------------------------------
! Z-matrix input
!-------------------------------------------
geometry={y;
          Na;
          N,Na,r;
          H1,N,rb,Na,phi;
          H2,N,rb,Na,phi,H1,120.0;
          H3,N,rb,Na,phi,H1,240.0}

!-------------------------------------------
! VTZ basis set augmented by:
!
! o  two s-type diffuse functions
! o  two p-type diffuse functions
! o  one d-type polarization function
! o  two d-type diffuse functions
!-------------------------------------------
basis={spdf,Na,vtz;c;
       spdf,N,vtz;c;
       spd,H,vtz;c;
       s,Na,0.010;
       s,Na,0.005;
       p,Na,0.027;
       p,Na,0.010;
       d,Na,0.160;
       d,Na,0.010;
       d,Na,0.004}

!-------------------------------------------
! assign values to internal coordinates
!-------------------------------------------
rb =  1.9158042 bohr   ! N-H  bond length
r0 =   3.50 bohr ; dr = 0.40 bohr ; nr = 28
x0 =   0.60 bohr ; dx = 0.10 bohr ; nx = 1

!-------------------------------------------
! loop over all geometries
!-------------------------------------------
do i = 1,nr
   r = r0 + (i-1)*dr            ! value of dissociation coordinate
   do j = 1,nx
      x = x0 + (j-1)*dx         ! value of inversion coordinate
      phi = acos(-x/rb) degree  ! Na-N-H internuclear angle
      int;           !invoke integral program
      my_scf;        !call scf procedure
      my_casscf;     !call casscf procedure
      delete,3;
   enddo         ! end of loop over dissociation coordinate
enddo            ! end of loop over inversion coordinate

Regards

Stefan 

=-=-=-=-this message is transmitted on 100 % recycled electrons-=-=-=-=
|                              |                                      |
| [email-masked]  |            Stefan Schulz             |
| Tel. ++49/30/838 5384        | FU Berlin - Theoretical Chemistry    |
|      ++49/30/838 2351        |            Takustrasse 3             |
| FAX. ++49/30/838 4792        |           D-14195 Berlin             |
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=